<section class="filter-chart">
    <app-admin-chart-molecule></app-admin-chart-molecule>
</section>
<section class="setup-list">
    <ul>
        <li
        (click)="enableToTrueClaimReq('Claim Requests')" [ngClass]="{'active-bar': showEC}">
            <span>
                <div class="image-container">
                    <img [src]="expenseClaimImg" alt="img">
                </div>
                <span class="title">Claim Requests</span>
            </span>
        </li>
        <li
        (click)="enableToTrueLeaves('Leave Requests')" [ngClass]="{'active-bar': showLeaves}">
            <span>
                <div class="image-container">
                    <img [src]="leaveManagementImg" alt="img">
                </div>
                <span class="title">Leave Requests</span>
            </span>
        </li>
        <li
        (click)="enableToTrueOthers('Other Requests')" [ngClass]="{'active-bar': showothers}">
            <span>
                <div class="image-container">
                    <img [src]="clearanceImg" alt="img">
                </div>
                <span class="title">Other Requests</span>
            </span>
        </li>
        <li
        (click)="enableToTrueWT('Worktime Management')" [ngClass]="{'active-bar': wtAllToF}">
            <span>
                <div class="image-container">
                    <img [src]="timeCorrectionImg" alt="img">
                </div>
                <span class="title">Worktime Management</span>
            </span>
        </li>
        <li
        (click)="enableToTrueBT('Business Trips')" [ngClass]="{'active-bar': showBT}">
            <span>
                <div class="image-container">
                    <img [src]="businessTripInternationalImg" alt="img">
                </div>
                <span class="title">Business Trips</span>
            </span>
        </li>
    </ul>
</section>
<!-- <ul class="section">
    <li [class]="expenseclaim?'services active':'services'" (click)="enableToTrueClaimReq('Claim Requests')" >
        <img [src]="expenseClaim">
        <span class="serviceText"> Claim Requests</span>
    </li>
    <li [class]="leavemanagement?'services active':'services'" (click)="enableToTrueLeaves('Leave Requests')">
        <img [src]="leaveManagement">
        <span class="serviceText">Leave Requests</span>
    </li>
    <li [class]="clearance?'services active':'services'" (click)="enableToTrueOthers('Other Requests')">
        <img [src]="clearanceImg">
        <span class="serviceText">Other Requests</span>
    </li>
    <li [class]="timecorrection?'services active':'services'" (click)="enableToTrueWT('Worktime Management')">
        <img [src]="timeCorrection">
        <span class="serviceText">Worktime Management</span>
    </li>
    <li [class]="businesstripinternational?'services active':'services'" (click)="enableToTrueBT('Business Trips')">
        <img [src]="businessTripInternational">
        <span class="serviceText">Business Trips</span>
    </li>
</ul> -->

<section *ngIf="showPP" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="payRollAllToF"
        (click)="enableToTrue(16, 'OT & Short Hrs')"
        [ngClass]="{'subcat-active-bar': OtShortHrs}">
            <span class="sublist-content">
                <img [src]="ShortHrsUploa" alt="image">
                <span class="title">OT & Short Hrs</span>
            </span>
        </li>
        <li *ngIf="payRollAllToF"
        (click)="enableToTrue(17, 'Recurring Loan Deductions')"
        [ngClass]="{'subcat-active-bar': recurringloandeductions}">
            <span class="sublist-content">
                <img [src]="RecurringLoan" alt="image">
                <span class="title">Recurring Loan Deductions</span>
            </span>
        </li>
        <li *ngIf="payRollAllToF"
        (click)="enableToTrue(18, 'One Time Deductions')"
        [ngClass]="{'subcat-active-bar': OneTimeDeductions}">
            <span class="sublist-content">
                <img [src]="OneTimeDeductionsImg" alt="image">
                <span class="title">One Time Deductions</span>
            </span>
        </li>
        <li *ngIf="payRollAllToF"
        (click)="enableToTrue(19, 'One Time Earnings')"
        [ngClass]="{'subcat-active-bar': onetimeearnings}">
            <span class="sublist-content">
                <img [src]="OneTimeEarningsImg" alt="image">
                <span class="title">One Time Earnings</span>
            </span>
        </li>
        <li *ngIf="payRollAllToF"
        (click)="enableToTrue(20, 'Recurring Earnings')"
        [ngClass]="{'subcat-active-bar': RecurringEarnings}">
            <span class="sublist-content">
                <img [src]="RecurringEarningsImg" alt="image">
                <span class="title">Recurring Earnings</span>
            </span>
        </li>
    </ul>
</section>

<section *ngIf="showLeaves" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="leavesAllToF"
        (click)="enableToTrue(4, 'Time Management')"
        [ngClass]="{'subcat-active-bar': leavemanagement}">
            <span class="sublist-content">
                <img [src]="leaveManagementImg" alt="image">
                <span class="title">Time Management</span>
            </span>
        </li>
        <li *ngIf="leavesAllToF"
        (click)="enableToTrue(5, 'Leave Cancellation')"
        [ngClass]="{'subcat-active-bar': leavecancelation}">
            <span class="sublist-content">
                <img [src]="leaveCancellation" alt="image">
                <span class="title">Leave Cancellation</span>
            </span>
        </li>
        <li *ngIf="leavesAllToF"
        (click)="enableToTrue(6, 'Leave Ticket Request')"
        [ngClass]="{'subcat-active-bar': leaveticketrequest}">
            <span class="sublist-content">
                <img [src]="leaveTicketRequest" alt="image">
                <span class="title">Leave Ticket Request</span>
            </span>
        </li>
        <li *ngIf="leavesAllToF"
        (click)="enableToTrue(8, 'Exit Re-Entry Visa')"
        [ngClass]="{'subcat-active-bar': exitreentry}">
            <span class="sublist-content">
                <img [src]="exitReentryVisaImg" alt="image">
                <span class="title">Exit Re-Entry Visa</span>
            </span>
        </li>
    </ul>
</section>
<!-- <div *ngIf="showLeaves">

    <h4 *ngIf="leavesAllToF" class="headertext"> Leave and Time Management Requests</h4>

    <ul class="section">
        <li *ngIf="leavesAllToF" [class]="leavemanagement?'services active':'services'" (click)="enableToTrue(4, 'Time Management')">
            <img [src]="leaveManagementImg">
            <span class="serviceText">Leave Management</span>
        </li>
        <li *ngIf="leavesAllToF" [class]="leavecancelation?'services active':'services'" (click)="enableToTrue(5, 'Leave Cancellation')">
            <img [src]="leaveCancellation">
            <span class="serviceText">Leave Cancellation</span>
        </li>
        <li *ngIf="leavesAllToF" [class]="leaveticketrequest?'services active':'services'" (click)="enableToTrue(6, 'Leave Ticket Request')">
            <img [src]="leaveTicketRequest">
            <span class="serviceText">Leave Ticket Request</span>
        </li>
        <li *ngIf="leavesAllToF" [class]="exitreentry?'services active':'services'" (click)="enableToTrue(8, 'Exit Re-Entry Visa')">
            <img [src]="exitReentryVisa">
            <span class="serviceText">Exit Re-Entry Visa</span>
        </li>
    </ul>
</div> -->
<section *ngIf="showEC" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="claimsAllToF"
        (click)="enableToTrue(1, 'Expense Claim')"
        [ngClass]="{'subcat-active-bar': expenseclaim}">
            <span class="sublist-content">
                <img [src]="expenseClaimImg" alt="image">
                <span class="title">Expense Claim</span>
            </span>
        </li>
        <li *ngIf="claimsAllToF"
        (click)="enableToTrue(10, 'Cash Advance')"
        [ngClass]="{'subcat-active-bar': cashadvance}">
            <span class="sublist-content">
                <img [src]="cashAdvanceImg" alt="image">
                <span class="title">Cash Advance</span>
            </span>
        </li>
        <li *ngIf="claimsAllToF"
        (click)="enableToTrue(9, 'Housing Advance')"
        [ngClass]="{'subcat-active-bar': housingadvance}">
            <span class="sublist-content">
                <img [src]="housingAdvanceImg" alt="image">
                <span class="title">Housing Advance</span>
            </span>
        </li>
    </ul>
</section>
<!-- <div *ngIf="showEC">

    <h4 *ngIf="claimsAllToF" class="headertext"> Expense Request And Advance Requests</h4>

    <ul class="section">
        <li *ngIf="claimsAllToF" [class]="expenseclaim?'services active':'services'" (click)="enableToTrue(1, 'Expense Claim')">
            <img [src]="expenselaim">
            <span class="serviceText">Expense Claim</span>
        </li>
        <li *ngIf="claimsAllToF" [class]="cashadvance?'services active':'services'" (click)="enableToTrue(10, 'Cash Advance')">
            <img [src]="cashAdvance">
            <span class="serviceText">Cash Advance</span>
        </li>
        <li *ngIf="claimsAllToF" [class]="housingadvance?'services active':'services'" (click)="enableToTrue(9, 'Housing Advance')">
            <img  [src]="housingAdvance">
            <span class="serviceText">Housing Advance</span>
        </li>
    </ul>
</div> -->
<section *ngIf="showothers" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="othersAllToF"
        (click)="enableToTrue(11, 'Company Letters')"
        [ngClass]="{'subcat-active-bar': companyletters}">
            <span class="sublist-content">
                <img [src]="companyLetters" alt="image">
                <span class="title">Company Letters</span>
            </span>
        </li>
        <li *ngIf="othersAllToF"
        (click)="enableToTrue(12, 'Resignation')"
        [ngClass]="{'subcat-active-bar': resignationTyp}">
            <span class="sublist-content">
                <img [src]="resignation" alt="image">
                <span class="title">Resignation</span>
            </span>
        </li>
        <li *ngIf="othersAllToF"
        (click)="enableToTrue(7, 'Clearance')"
        [ngClass]="{'subcat-active-bar': clearance}">
            <span class="sublist-content">
                <img [src]="clearanceImg" alt="image">
                <span class="title">Clearance</span>
            </span>
        </li>
    </ul>
</section>
<!-- <div *ngIf="showothers">

    <h4 *ngIf="othersAllToF" class="headertext">Other Requests</h4>

    <ul class="section">
        <li *ngIf="othersAllToF" [class]="companyletters?'services active':'services'" (click)="enableToTrue(11, 'Company Letters')">
            <img [src]="companyLetters">
            <span class="serviceText">Company Letters</span>
        </li>
        <li *ngIf="othersAllToF" [class]="resignationTyp?'services active':'services'" (click)="enableToTrue(12, 'Resignation')">
            <img [src]="resignation">
            <span class="serviceText">Resignation</span>
        </li>
        <li *ngIf="othersAllToF" [class]="clearance?'services active':'services'" (click)="enableToTrue(7, 'Clearance')" >
            <img [src]="clearanceImg">
            <span class="serviceText">Clearance</span>
        </li>
    </ul>
</div> -->
<section *ngIf="showWT" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="wtAllToF"
        (click)="enableToTrue(13, 'Over Time')"
        [ngClass]="{'subcat-active-bar': overTime}">
            <span class="sublist-content">
                <img [src]="overtimeImg" alt="image">
                <span class="title">Over Time</span>
            </span>
        </li>
        <li *ngIf="wtAllToF"
        (click)="enableToTrue(14, 'Time Correction')"
        [ngClass]="{'subcat-active-bar': timecorrection}">
            <span class="sublist-content">
                <img [src]="timeCorrectionImg" alt="image">
                <span class="title">Time Correction</span>
            </span>
        </li>
    </ul>
</section>
<!-- <div *ngIf="showWT">

    <h4 *ngIf="wtAllToF" class="headertext">Worktime Management</h4>

    <ul class="section">
        <li *ngIf="wtAllToF" [class]="overTime?'services active':'services'" (click)="enableToTrue(13, 'Over Time')">
            <img  [src]="overtimeImg">
            <span class="serviceText">Over Time</span>
        </li>
        <li *ngIf="wtAllToF" [class]="timecorrection?'services active':'services'" (click)="enableToTrue(14, 'Time Correction')">
            <img [src]="timeCorrection">
            <span class="serviceText">Time Correction</span>
        </li>
    </ul>
</div> -->
<section *ngIf="showBT" class="sub-category">
    <!-- <h4>{{navLinksSubCategoryHeading}}</h4> -->
    <ul>
        <li *ngIf="btAllToF"
        (click)="enableToTrue(2, 'Business Trip Local')"
        [ngClass]="{'subcat-active-bar': businesstrip}">
            <span class="sublist-content">
                <img [src]="businessTripLocal" alt="image">
                <span class="title">Business Trip Local</span>
            </span>
        </li>
        <li *ngIf="btAllToF"
        (click)="enableToTrue(3, 'Business Trip International')"
        [ngClass]="{'subcat-active-bar': businesstripinternational}">
            <span class="sublist-content">
                <img [src]="businessTripInternationalImg" alt="image">
                <span class="title">Business Trip International</span>
            </span>
        </li>
    </ul>
</section>
<!-- <div *ngIf="showBT">

    <h4 *ngIf="btAllToF" class="headertext">Business Trips</h4>

    <ul class="section">
        <li *ngIf="btAllToF" [class]="businesstrip?'services active':'services'" (click)="enableToTrue(2, 'Business Trip Local')">
            <img [src]="businessTripLocal">
            <span class="serviceText">Business Trip Local</span>
    
    
        </li>
        <li *ngIf="btAllToF" [class]="businesstripinternational?'services active':'services'" (click)="enableToTrue(3, 'Business Trip International')">
            <img [src]="businessTripInternational">
            <span class="serviceText">Business Trip International</span>
        </li>
    </ul>
</div> -->

<div class="saned-form-container">
    <div class="" *ngIf="leaveticketrequest">
        <app-leave-ticket-request></app-leave-ticket-request>
    </div>
    <div class="" *ngIf="leavecancelation">
        <app-leave-cancelation></app-leave-cancelation>
    </div>
    <div class="" *ngIf="clearance">
        <app-clearance></app-clearance>
    </div>
    <div class="" *ngIf="businesstripinternational">
        <app-business-trip-international></app-business-trip-international>
    </div>
    <div class="" *ngIf="businesstrip">
        <app-business-trip></app-business-trip>
    </div>
    <div class="" *ngIf="housingadvance">
        <app-housing-advance></app-housing-advance>
    </div>
    <div class="" *ngIf="expenseclaim">
        <app-expense-claim></app-expense-claim>
    </div>
    <div class="" *ngIf="exitreentry">
        <app-exit-reentry-visa></app-exit-reentry-visa>
    </div>
    <div class="" *ngIf="leavemanagement">
        <app-leave-management></app-leave-management>
    </div>
    <div class="" *ngIf="companyletters">
        <app-company-letters></app-company-letters>
    </div>
    <div class="" *ngIf="cashadvance">
        <app-cash-advance></app-cash-advance>
    </div>
    <div class="" *ngIf="resignationTyp">
        <app-resignation></app-resignation>
    </div>
    <div class="" *ngIf="timecorrection">
        <app-time-correction></app-time-correction>
    </div>
    <div class="" *ngIf="overTime">
        <app-over-time></app-over-time>
    </div>
    <div class="" *ngIf="OtShortHrs">
        <app-ot-short-hrs></app-ot-short-hrs>
    </div>
    <div class="" *ngIf="recurringloandeductions">
        <app-recurring-loan-deductions></app-recurring-loan-deductions>
    </div>
    <div class="" *ngIf="recurringearnings">
        <app-recurring-earnings></app-recurring-earnings>
    </div>
    <div class="" *ngIf="onetimeearnings">
        <app-one-time-earnings></app-one-time-earnings>
    </div>
    <div class="" *ngIf="onetimedeductions">
        <app-one-time-deductions></app-one-time-deductions>
    </div>
</div>